Loading ...

Installare PHP 7.1 su Debian 9

Installare PHP 7.1 su Debian 9

Purtroppo ci sono molte librerie e framework che richiedono la versione di PHP 7.1.

E purtroppo Debian 9 fornisce ancora la 7.0.

La soluzione è aggiungere un repo ed installare la versione che ci serve:

# apt install apt-transport-https ca-certificates
# wget -O /etc/apt/trusted.gpg.d/php.gpg https://packages.sury.org/php/apt.gpg
# sh -c 'echo "deb https://packages.sury.org/php/ stretch main" > /etc/apt/sources.list.d/php.list'
# apt update

Attenzione, però, che questo repo da la possibilità di installare tre versioni: 7.1, 7.2, 7.3.

Io provato con la 7.3 ed ho fatto un casino; non funzionava più nulla, compreso Wordpress e phpMyAdmin.

Per risolvere ho dovuto reinstallare tutto PHP 7.0 da zero.

Quindi vi consiglio di installare la versione 7.1 (dovrebbe bastare e avanzare:

# aptitude install php7.1-apcu php7.1-bcmath php7.1-cli php7.1-curl php7.1-fpm php7.1-gd 
  php7.1-intl php7.1-mcrypt php7.1-mysql php7.1-soap php7.1-xml php7.1-zip

(Comando da dare tutto su una riga).

Questo imposterà anche la versione 7.1 come default; a me non ha causato problemi.

Enjoy!